bcr_test_module:
  module_path: e2e
  matrix:
    platform:
      - debian10
      - ubuntu2004
      - macos
      - macos_arm64
      # TODO: enable this once the `gitlab.arm.com` does not use a self-signed certificate
      # - windows
  tasks:
    run_tests:
      name: Run end-to-end Tests
      platform: ${{ platform }}
      test_targets:
        - "//..."
